<div [style.width.%]="lineChartInfo.width" [style.height.px]="lineChartInfo.height" >
<ngx-charts-line-chart  [xAxis]="lineChartInfo.showXAxis" [scheme]="lineChartInfo.colorScheme" [results]="result" [gradient]="lineChartInfo.gradient"  [yAxis]="lineChartInfo.showYAxis" [legend]="lineChartInfo.showLegend" [showXAxisLabel]="lineChartInfo.showXAxisLabel" [showYAxisLabel]="lineChartInfo.showYAxisLabel" [xAxisLabel]="lineChartInfo.xAxisLabel" [yAxisLabel]="lineChartInfo.yAxisLabel" [autoScale]="lineChartInfo.autoScale" (select)="onSelect($event)" >
</ngx-charts-line-chart>
</div>

 <!-- <ngx-charts-line-chart  [results]="result"></ngx-charts-line-chart> -->